<%- include ('../components/header/header') %>
<body class="d-flex flex-column h-100">
<div class="container">
    <%- include ('../components/header/nav') %>
    <div class="row">
        <div class="col-12 col-md-8 m-auto">
            <form action="/add-recipe" method="post">
                <div class="mb-3">
                    <label for="name" class="form-label">Name</label>
                    <input required class="form-control" type="text" name="name" autocomplete="off" placeholder="Name" id="name">
                </div>

                <div class="mb-3">
                    <label for="diff" class="form-label">Difficulty</label>
                    <select required class="form-control" name="difficulty" id="diff">
                        <option value="1">Beginner</option>
                        <option value="2">Easy</option>
                        <option value="3">Intermediate</option>
                        <option value="4">Expert</option>
                        <option value="5">Pro</option>
                    </select>
                </div>

                <div id="ingredients-list">
                    <label class="form-label">Ingredient</label>
                    <div class="ingredient input-group mb-3">
                        <input required type="text" class="form-control" autocomplete="off" name="ingredients[]" placeholder="Ingredient" aria-label="Ingredient" aria-describedby="add-ingredient">
                        <button class="btn btn-outline-success" type="button" id="add-ingredient">
                            More ingredients!
                        </button>
                    </div>
                </div>

                <div class="mb-3">
                    <label class="form-label" for="instructions">Instructions</label>
                    <textarea required class="form-control mb-3" name="instructions" id="instructions" rows="4" cols="50"
                              placeholder="Instructions"></textarea>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="checkbox" name="isPrivate" value="true" id="isPrivate">
                    <label class="form-check-label" for="isPrivate">
                        Make this recipe private
                    </label>
                </div>
                <button class="btn btn-outline-success" type="submit">Add recipe</button>
            </form>
        </div>
    </div>
</div>

<template id="ingredient-template">
    <div class="ingredient input-group mb-3">
        <input required type="text" class="form-control" autocomplete="off" name="ingredients[]" placeholder="Ingredient" aria-label="Ingredient" aria-describedby="ingredient-addon">
        <button class="btn btn-outline-danger" type="button" id="ingredient-addon" onclick="remove(this)">
            <i class="bi-x-circle"></i>
        </button>
    </div>
</template>

<%- include ('../components/footer/footer') %>
<script language="javaScript" src="/js/add-ingredient.js"></script>
</body>
</html>